image: java:8-jdk

stages:
  - build

before_script:
      #  - echo `pwd` # debug
      #  - echo "$CI_BUILD_NAME, $CI_BUILD_REF_NAME $CI_BUILD_STAGE" # debug
    - export GRADLE_USER_HOME=`pwd`/.gradle

cache:
    paths:
        - .gradle/wrapper
        - .gradle/caches

build:
    stage: build
    script:
        - ./gradlew buildJar
        - mv build/libs/*.jar build/libs/zaros.jar
    artifacts:
        paths:
            - build/libs/*.jar
        expire_in: 1 week
    only:
        - master
